---
- hosts: amanah-staging-server
  become: true
  vars:
    main_class: DiamondCharity
    method: one-container
    db_name: "{{main_class | lower}}"
    user_name: "{{main_class | lower}}"
    password: "{{main_class | lower}}123"
    port_docker_nginx: 40023
    port_container_BE: 7776 #dipake di dalem container
    port_container_JsonServer: 3003 # dipake di dalem container
    domain_name: "{{main_class | lower}}.amanah-staging.cs.ui.ac.id"
    product_module: aisco.product.{{main_class | lower}} #ganti class_path atau library_directory
    path_root_server: /var/www/products/{{main_class}}
    dest_BE: "{{path_root_server}}/backend"
    dest_FE: "{{path_root_server}}/frontend"
    db_url: jdbc:postgresql://10.119.106.132:5432/{{db_name}}
    client_id: 741486500949-v8v5cdc0gfjoa3c9vpofb5cjtt8hej9c.apps.googleusercontent.com
  roles:
    - role: backend
    - role: database
    - role: frontend
    - role: docker-onecontainer
    - role: nginx